/* config.h.  Generated from config.h.in by configure.  */
/* config.h.in.  Generated from configure.ac by autoheader.  */

/* Define if building universal (internal helper macro) */
/* #undef AC_APPLE_UNIVERSAL_BUILD */

/* Define if you want to try out a different memory check */
#define ARAM_PAGE_CHECK 1

/* Default ARAnyM config file */
/* #undef ARANYMCONFIG */

/* Default ARAnyM directory */
/* #undef ARANYMHOME */

/* Default ARAnyM keymap */
/* #undef ARANYMKEYMAP */

/* Default ARAnyM NVRAM file */
/* #undef ARANYMNVRAM */

/* Define if you want accelerated blitter output */
/* #undef BLITTER_MEMMOVE */

/* Define if you want even more accelerated blitter output */
/* #undef BLITTER_SDLBLIT */

/* Define CPU type */
#define CPU_TYPE "i386"

/* Define if using some internal debugger */
#define DEBUGGER 1

/* Default directory separator */
#define DIRSEPARATOR "/"

/* Define if not using full ATC */
/* #undef DISABLE_ATC */

/* Define if DSP disassembly */
/* #undef DSP_DISASM */

/* Define if using DSP */
#define DSP_EMULATION 1

/* Define if you want to use EPS limiter */
/* #undef ENABLE_EPSLIMITER */

/* Define if lilo enabled */
/* #undef ENABLE_LILO */

/* Define if you want to use Linux /dev/sequencer support */
#define ENABLE_MIDI_SEQUENCER 1

/* Define if OpenGL enabled */
#define ENABLE_OPENGL 1

/* Define if you want to use Linux /dev/parport access for parallel port */
#define ENABLE_PARALLELPARPORT 1

/* Define if you want to use Linux/X86 hardware access for parallel port */
/* #undef ENABLE_PARALLELX86 */

/* Define if you want real STOP instruction implementation */
#define ENABLE_REALSTOP 1

/* Define if you want to use /dev/ttyXXX access for serial port */
#define ENABLE_SERIALUNIX 1

/* Define if your system supports TUN/TAP devices. */
#define ENABLE_TUNTAP 1

/* Define if you want to use ethernet card emulation */
#define ETHERNET_SUPPORT 1

/* Define if you want to use setjmp/longjmp instead of C++ exceptions */
/* #undef EXCEPTIONS_VIA_LONGJMP */

/* Define if you want to use extended segafault handler */
/* #undef EXTENDED_SIGSEGV */

/* Define if you want fixed position of VideoRAM */
/* #undef FIXED_VIDEORAM */

/* Define if you want to use CPU flight recorder */
/* #undef FLIGHT_RECORDER */

/* Define if using full MMU */
/* #undef FULLMMU */

/* Define if you want to use full history */
/* #undef FULL_HISTORY */

/* Define if you want FastRAM of fixed size */
/* #undef FixedSizeFastRAM */

/* Define to 1 if you have the `acoshl' function. */
#define HAVE_ACOSHL 1

/* Define to 1 if you have the `acosl' function. */
#define HAVE_ACOSL 1

/* Define to 1 if you have the <alloca.h> header file. */
#define HAVE_ALLOCA_H 1

/* Define to 1 if you have the `asinhl' function. */
#define HAVE_ASINHL 1

/* Define to 1 if you have the `asinl' function. */
#define HAVE_ASINL 1

/* Define to 1 if you have the `atanh' function. */
#define HAVE_ATANH 1

/* Define to 1 if you have the `atanhl' function. */
#define HAVE_ATANHL 1

/* Define to 1 if you have the `atanl' function. */
#define HAVE_ATANL 1

/* Define to 1 if you have the `bcopy' function. */
#define HAVE_BCOPY 1

/* define if bool is a built-in type */
#define HAVE_BOOL /**/

/* Define to 1 if the system has the type `caddr_t'. */
#define HAVE_CADDR_T 1

/* Define to 1 if you have the `canonicalize_file_name' function. */
#define HAVE_CANONICALIZE_FILE_NAME 1

/* Define to 1 if you have the `ceill' function. */
#define HAVE_CEILL 1

/* Define to 1 if you have the `coshl' function. */
#define HAVE_COSHL 1

/* Define to 1 if you have the `cosl' function. */
#define HAVE_COSL 1

/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'.
   */
#define HAVE_DIRENT_H 1

/* Define to 1 if you have the `expl' function. */
#define HAVE_EXPL 1

/* Define to 1 if you have the `fabsl' function. */
#define HAVE_FABSL 1

/* Define to 1 if you have the <fcntl.h> header file. */
#define HAVE_FCNTL_H 1

/* Define to 1 if you have the `finite' function. */
#define HAVE_FINITE 1

/* Define to 1 if you have the <floatingpoint.h> header file. */
/* #undef HAVE_FLOATINGPOINT_H */

/* Define to 1 if you have the `floorl' function. */
#define HAVE_FLOORL 1

/* Define if framework AppKit is available. */
/* #undef HAVE_FRAMEWORK_APPKIT */

/* Define if framework CoreFoundation is available. */
/* #undef HAVE_FRAMEWORK_COREFOUNDATION */

/* Define if framework IOKit is available. */
/* #undef HAVE_FRAMEWORK_IOKIT */

/* Define if framework SDL is available. */
/* #undef HAVE_FRAMEWORK_SDL */

/* Define if framework SDL_image is available. */
/* #undef HAVE_FRAMEWORK_SDL_IMAGE */

/* Define if framework Security is available. */
/* #undef HAVE_FRAMEWORK_SECURITY */

/* Define to 1 if you have the `fseeko' function. */
#define HAVE_FSEEKO 1

/* Define to 1 if you have the `fsync' function. */
#define HAVE_FSYNC 1

/* Define to 1 if you have the <getopt.h> header file. */
#define HAVE_GETOPT_H 1

/* Define to 1 if you have the `gettimeofday' function. */
#define HAVE_GETTIMEOFDAY 1

/* Define if your system support GNU SOURCEs (vasprintf function) */
#define HAVE_GNU_SOURCE 1

/* Define to 1 if you have the <ieee754.h> header file. */
#define HAVE_IEEE754_H 1

/* Define to 1 if you have the <ieeefp.h> header file. */
/* #undef HAVE_IEEEFP_H */

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `isinf' function. */
#define HAVE_ISINF 1

/* Define to 1 if you have the `isinfl' function. */
#define HAVE_ISINFL 1

/* Define to 1 if you have the `isnan' function. */
#define HAVE_ISNAN 1

/* Define to 1 if you have the `isnanl' function. */
#define HAVE_ISNANL 1

/* Define to 1 if you have the `isnormal' function. */
/* #undef HAVE_ISNORMAL */

/* Define to 1 if you have the `m' library (-lm). */
#define HAVE_LIBM 1

/* Define to 1 if you have the `usb-1.0' library (-lusb-1.0). */
/* #undef HAVE_LIBUSB_1_0 */

/* Define to 1 if you have the `X11' library (-lX11). */
#define HAVE_LIBX11 1

/* Define if zlib enabled */
/* #undef HAVE_LIBZ */

/* Define to 1 if you have the <linux/if.h> header file. */
#define HAVE_LINUX_IF_H 1

/* Define to 1 if you have the <linux/if_tun.h> header file. */
#define HAVE_LINUX_IF_TUN_H 1

/* Define to 1 if you have the `log10l' function. */
#define HAVE_LOG10L 1

/* Define to 1 if you have the `logl' function. */
#define HAVE_LOGL 1

/* Define to 1 if you have the <mach/mach.h> header file. */
/* #undef HAVE_MACH_MACH_H */

/* Define to 1 if you have the `mach_task_self' function. */
/* #undef HAVE_MACH_TASK_SELF */

/* Define if your system has a working vm_allocate()-based memory allocator.
   */
/* #undef HAVE_MACH_VM */

/* Define to 1 if you have the <math.h> header file. */
#define HAVE_MATH_H 1

/* Define to 1 if you have the `memcpy' function. */
#define HAVE_MEMCPY 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the `mmap' function. */
#define HAVE_MMAP 1

/* Define if <sys/mman.h> defines MAP_ANON and mmap()'ing with MAP_ANON works.
   */
#define HAVE_MMAP_ANON 1

/* Define if <sys/mman.h> defines MAP_ANONYMOUS and mmap()'ing with
   MAP_ANONYMOUS works. */
#define HAVE_MMAP_ANONYMOUS 1

/* Define if your system has a working mmap()-based memory allocator. */
#define HAVE_MMAP_VM 1

/* Define to 1 if you have the `mprotect' function. */
#define HAVE_MPROTECT 1

/* Define to 1 if you have the `munmap' function. */
#define HAVE_MUNMAP 1

/* Define to 1 if you have the <nan.h> header file. */
/* #undef HAVE_NAN_H */

/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR'. */
/* #undef HAVE_NDIR_H */

/* Define to 1 if you have the <net/if.h> header file. */
#define HAVE_NET_IF_H 1

/* Define to 1 if you have the <net/if_tun.h> header file. */
/* #undef HAVE_NET_IF_TUN_H */

/* Define if you want to use FreeBSD's imitation of O_SYNC */
/* #undef HAVE_O_FSYNC */

/* Define if your system supports POSIX shared memory. */
/* #undef HAVE_POSIX_SHM */

/* Define to 1 if you have the `powl' function. */
#define HAVE_POWL 1

/* Define to 1 if you have the `realpath' function. */
#define HAVE_REALPATH 1

/* Define if you have SDL_image */
#define HAVE_SDL_IMAGE 1

/* Define to 1 if you have the `sigaction' function. */
#define HAVE_SIGACTION 1

/* Define if <signal.h> doesn't define sighandler_t */
#define HAVE_SIGHANDLER_T 1

/* Define to 1 if you have the `signal' function. */
#define HAVE_SIGNAL 1

/* Define to 1 if you have the `signbit' function. */
/* #undef HAVE_SIGNBIT */

/* Define to 1 if you have the `sinhl' function. */
#define HAVE_SINHL 1

/* Define to 1 if you have the `sinl' function. */
#define HAVE_SINL 1

/* Define to 1 if you have the `sqrtl' function. */
#define HAVE_SQRTL 1

/* Define to 1 if you have the <stat.h> header file. */
/* #undef HAVE_STAT_H */

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the `strchr' function. */
#define HAVE_STRCHR 1

/* Define to 1 if you have the `strdup' function. */
#define HAVE_STRDUP 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR'.
   */
/* #undef HAVE_SYS_DIR_H */

/* Define to 1 if you have the <sys/ioctl.h> header file. */
#define HAVE_SYS_IOCTL_H 1

/* Define to 1 if you have the <sys/mman.h> header file. */
#define HAVE_SYS_MMAN_H 1

/* Define to 1 if you have the <sys/mount.h> header file. */
#define HAVE_SYS_MOUNT_H 1

/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR'.
   */
/* #undef HAVE_SYS_NDIR_H */

/* Define to 1 if you have the <sys/param.h> header file. */
#define HAVE_SYS_PARAM_H 1

/* Define to 1 if you have the <sys/socket.h> header file. */
#define HAVE_SYS_SOCKET_H 1

/* Define to 1 if you have the <sys/statfs.h> header file. */
#define HAVE_SYS_STATFS_H 1

/* Define to 1 if you have the <sys/statvfs.h> header file. */
#define HAVE_SYS_STATVFS_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <sys/vfs.h> header file. */
#define HAVE_SYS_VFS_H 1

/* Define to 1 if you have the `tanhl' function. */
#define HAVE_TANHL 1

/* Define to 1 if you have the `tanl' function. */
#define HAVE_TANL 1

/* Define to 1 if you have the `task_self' function. */
/* #undef HAVE_TASK_SELF */

/* Define to 1 if you have the <termios.h> header file. */
#define HAVE_TERMIOS_H 1

/* Define to 1 if you have the <termio.h> header file. */
#define HAVE_TERMIO_H 1

/* Define to 1 if you have the <types.h> header file. */
/* #undef HAVE_TYPES_H */

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to 1 if you have the `usleep' function. */
#define HAVE_USLEEP 1

/* Define to 1 if you have the <utime.h> header file. */
#define HAVE_UTIME_H 1

/* Define to 1 if you have the `vm_allocate' function. */
/* #undef HAVE_VM_ALLOCATE */

/* Define to 1 if you have the `vm_deallocate' function. */
/* #undef HAVE_VM_DEALLOCATE */

/* Define to 1 if you have the `vm_protect' function. */
/* #undef HAVE_VM_PROTECT */

/* Define if wchar_t is present */
/* #undef HAVE_WCHAR_T */

/* Define if you want to use direct access to host's fs */
#define HOSTFS_SUPPORT 1

/* Define to the floating point format of the host machine. */
#define HOST_FLOAT_FORMAT IEEE_FLOAT_FORMAT

/* Define to 1 if the host machine stores floating point numbers in memory
   with the word containing the sign bit at the lowest address, or to 0 if it
   does it the other way around. This macro should not be defined if the
   ordering is the same as for multi-word integers. */
/* #undef HOST_FLOAT_WORDS_BIG_ENDIAN */

/* Define if you want to use extended segfault handler also for HW space */
/* #undef HW_SIGSEGV */

/* Define if you want to map the control key to the emulated control key */
#define MAP_CONTROL_TO_CONTROL 1

/* Define if you want to map the meta key to the emulated control key */
#define MAP_META_TO_CONTROL 1

/* Define if using new debugger */
#define NEWDEBUG 1

/* Define if you want to use Linux support as CD-ROM driver */
#define NFCDROM_LINUX_SUPPORT 1

/* Define if you want to use host CD-ROM driver */
#define NFCDROM_SUPPORT 1

/* Define if you want to use X11 clipboard */
#define NFCLIPBRD_SUPPORT 1

/* Define if you want to use host JPEG decoder */
#define NFJPEG_SUPPORT 1

/* Define if you want to use host OSMesa driver */
/* #undef NFOSMESA_SUPPORT */

/* Define if you want to use Linux PCI driver */
/* #undef NFPCI_LINUX_SUPPORT */

/* Define if you want to use host PCI driver */
/* #undef NFPCI_SUPPORT */

/* Define if you want to use NF VDI driver */
#define NFVDI_SUPPORT 1

/* Define if you don't want to use check memory boundary */
/* #undef NOCHECKBOUNDARY */

/* Define to 1 if your C compiler doesn't accept -c and -o together. */
/* #undef NO_MINUS_C_MINUS_O */

/* Define if OS needs to cleanly exit sigsegv handler */
/* #undef NO_NESTED_SIGSEGV */

/* Define OS type */
#define OS_TYPE "linux"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT "aranym@lists.bobek.cz"

/* Define to the full name of this package. */
#define PACKAGE_NAME "aranym"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "aranym 0.9"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "aranym"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "0.9"

/* Define if you want to protect first 2kB of RAM against user mode access */
#define PROTECT2K 1

/* List of Native Features */
#define PROVIDES_NATFEATS "audio bootstrap xhdi ethernet hostfs cdrom(linux,sdl) jpeg vdi(opengl,sw) clipboard"

/* Define if you want protect end of memory */
/* #undef RAMENDNEEDED */

/* Define as the return type of signal handlers (`int' or `void'). */
#define RETSIGTYPE void

/* Define if you want to use Linux /dev/rtc as source timer */
#define RTC_TIMER 1

/* Define if you want to build SDL GUI */
#define SDL_GUI 1

/* Define if your system requires sigactions to be reinstalled. */
/* #undef SIGACTION_NEED_REINSTALL */

/* Define if your system requires signals to be reinstalled. */
/* #undef SIGNAL_NEED_REINSTALL */

/* The size of `double', as computed by sizeof. */
#define SIZEOF_DOUBLE 8

/* The size of `float', as computed by sizeof. */
#define SIZEOF_FLOAT 4

/* The size of `int', as computed by sizeof. */
#define SIZEOF_INT 4

/* The size of `long', as computed by sizeof. */
#define SIZEOF_LONG 4

/* The size of `long double', as computed by sizeof. */
#define SIZEOF_LONG_DOUBLE 12

/* The size of `long long', as computed by sizeof. */
#define SIZEOF_LONG_LONG 8

/* The size of `short', as computed by sizeof. */
#define SIZEOF_SHORT 2

/* The size of `void *', as computed by sizeof. */
#define SIZEOF_VOID_P 4

/* Define if using only small ATC */
/* #undef SMALL_ATC */

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Define if you want to use ATA CD-ROM emulation */
#define SUPPORT_CDROM 1

/* Define to 1 if you can safely include both <sys/time.h> and <time.h>. */
#define TIME_WITH_SYS_TIME 1

/* Define to 1 if your <sys/time.h> declares `struct tm'. */
/* #undef TM_IN_SYS_TIME */

/* Define if using UAE debugger */
/* #undef UAEDEBUG */

/* Define if you want to use host USB driver */
/* #undef USBHOST_SUPPORT */

/* FPU core */
#define USES_FPU_CORE "IEEE"

/* Define to use 33-bit memory addressing on 64-bit JIT capable systems. */
/* #undef USE_33BIT_ADDRESSING */

/* Define WORDS_BIGENDIAN to 1 if your processor stores words with the most
   significant byte first (like Motorola and SPARC, unlike Intel). */
#if defined AC_APPLE_UNIVERSAL_BUILD
# if defined __BIG_ENDIAN__
#  define WORDS_BIGENDIAN 1
# endif
#else
# ifndef WORDS_BIGENDIAN
/* #  undef WORDS_BIGENDIAN */
# endif
#endif

/* Number of bits in a file offset, on hosts where this is settable. */
#define _FILE_OFFSET_BITS 64

/* Define for large files, on AIX-style hosts. */
/* #undef _LARGE_FILES */

/* Define if needed */
/* #undef _POSIX_C_SOURCE */

/* Define if needed */
/* #undef _XOPEN_SOURCE */

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif

/* Define to `off_t' if <sys/types.h> does not define. */
/* #undef loff_t */

/* Define to `long int' if <sys/types.h> does not define. */
/* #undef off_t */

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */

/* Define to `size_t' if <sys/types.h> does not define. */
/* #undef ssize_t */

/* Define to empty if the keyword `volatile' does not work. Warning: valid
   code using `volatile' can become incorrect without. Disable with care. */
/* #undef volatile */

#ifndef HAVE_CADDR_T
typedef void * caddr_t;
#endif
